import { InventoryExpiryCounter } from './inventory-expiry-counter'
import { InventoryExpiryStatus } from './inventory-expiry-status'
import { OrderStatusCounter } from './order-status-counter'

export const Query = /* GraphQL */ `
  arrivalNoticesByStatus(filters: [Filter]): [OrderStatusCounter] @transaction
  collectionOrdersByStatus(filters: [Filter]): [OrderStatusCounter] @transaction
  deliveryOrdersByStatus(filters: [Filter]): [OrderStatusCounter] @transaction
  releaseGoodsByStatus(filters: [Filter]): [OrderStatusCounter] @transaction
  outboundOrderByStatus(filters: [Filter]): [OrderStatusCounter] @transaction
  inventoryExpiryMonitor(filters: [Filter]): InventoryExpiryStatus @transaction
  unitInboundedOutbounded(filters: [Filter]): [OrderStatusCounter] @transaction
`
export const Types = [InventoryExpiryCounter, InventoryExpiryStatus, OrderStatusCounter]
